using System;
					
public class Program
{
	public static void Main()
	{
		string[] ulaz = Console.ReadLine().Split( );
            long n = Convert.ToInt64(ulaz[0]);
            long a = Convert.ToInt64(ulaz[1]);
            int uradjeno = 0;
            
            long set1a, set1b, set2a, set2b, set3a, set3b, set4a, set4b, set5a, set5b;
            
            set1b = 0;
            set1a = 0;
            set2b = 0;
            set2a = 0;
            set3b = 0;
            set3a = 0;
            set4b = 0;
            set4a = 0;
            set5b = 0;
            set5a = 0;
            int brojSetova = 0;


            if (n < a * 3)
            {
                Console.WriteLine(-1);
                uradjeno = 1;
            }


            if (n >= a * 3 && n<=6*(a-1))
            {
                set1a = a;
                set2a = a;
                set3a = a;
                n = n - 3 * a;
                while(n>0)
                {
                    while(set1b < set1a - 2 && n > 0)            //a
                    {
                        n = n - 1;
                        set1b = set1b + 1;
                    }
                    while (set2b < set2a - 2 && n > 0)           //a
                    {
                        n = n - 1;
                        set2b = set2b + 1;
                    }
                    while (set3b < set3a - 2 && n > 0)           //a
                    {
                        n = n - 1;
                        set3b = set3b + 1;
                    }
                }
                brojSetova = 3;

            }
            if (n > 6 * (a-1) && n <= 8 * (a - 1))
            {
                set1b = a;
                set2a = a;
                set3a = a;
                set4a = a;
                n = n - 4 * a;
                while (n > 0)
                {
                    while (set1a < set1b - 2 && n > 0)           //b
                    {
                        n = n - 1;
                        set1a = set1a + 1;
                    }
                    while (set2b < set2a - 2 && n > 0)           //a
                    {
                        n = n - 1;
                        set2b = set2b + 1;
                    }
                    while (set3b < set3a - 2 && n > 0)           //a
                    {
                        n = n - 1;
                        set3b = set3b + 1;
                    }
                    while (set4b < set4a - 2 && n > 0)           //a
                    {
                        n = n - 1;
                        set4b = set4b + 1;
                    }
                }
                brojSetova = 4;

            }
            if (n > 8 * (a - 1))
            {
                set1b = a;
                set2b = a;
                set3a = a;
                set4a = a;
                set5a = a;
                n = n - 5 * a;
                while (n > 0)
                {
                    while (set1a < set1b - 2 && n > 0)              //b
                    {
                        n = n - 1;
                        set1a = set1a + 1;
                    }
                    while (set2a < set2b - 2 && n > 0)              //b
                    {
                        n = n - 1;
                        set2a = set2a + 1;
                    }
                    while (set3b < set3a - 2 && n > 0)              //a
                    {
                        n = n - 1;
                        set3b = set3b + 1;
                    }
                    while (set4b < set4a - 2 && n > 0)              //a
                    {
                        n = n - 1;
                        set4b = set4b + 1;
                    }
                    while (set5b < set5a - 2 && n > 0)              //a
                    {
                        n = n - 1;
                        set5b = set5b + 1;
                    }
                    if (n > 0)
                    {
                        if (n % 2 == 1)
                        {
                            set4b = set4b - 1;
                            n = n + 1;
                        }
                        while (n > 0)
                        {
                            set5b = set5b + 1;
                            set5a = set5a + 1;
                            n = n - 2;
                        }
                    }
                }
           brojSetova = 5;

            }



            if (uradjeno == 0)
            {

                Console.WriteLine(set1a + " " + set1b);
                Console.WriteLine(set2a + " " + set2b);
                Console.WriteLine(set3a + " " + set3b);

                if (brojSetova == 4)
                {
                    Console.WriteLine(set4a + " " + set4b);
                }
                if (brojSetova == 5)
                {
                    Console.WriteLine(set4a + " " + set4b);
                    Console.WriteLine(set5a + " " + set5b);
                }

            }
	}
}